Create web interface for dead links logging interface on Tool Labs
Closed, ResolvedPublic13 Story Points

Description

Create a web interface for T126363 that shows a chart of total number of dead link pages fixed or processed per day (on a given wiki). You should also be able to filter by agent.

Acceptance criteria:

  • I can view how many dead link pages were processed in the last week on English Wikipedia by bot X
  • I can view how many dead link pages had links fixed in the last week on English Wikipedia by bot X
  • I can view the total number of dead link pages that were processed in the last week on English Wikipedia
  • I can view the total number of dead link pages that had links fixed in the last week on English Wikipedia
  • I can do the same for the last month or year
  • I can do the same on wikis besides English Wikipedia
kaldari created this task.Feb 9 2016, 7:30 PM
kaldari updated the task description. (Show Details)
kaldari raised the priority of this task from to Needs Triage.
kaldari added a project: Community-Tech.
kaldari added a subscriber: kaldari.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 9 2016, 7:30 PM
kaldari updated the task description. (Show Details)Feb 9 2016, 7:31 PM
kaldari set Security to None.
kaldari edited a custom field.Feb 9 2016, 7:34 PM
Niharika claimed this task.Feb 22 2016, 6:24 PM
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.
DannyH added a subscriber: Niharika.
DannyH added a subscriber: DannyH.Mar 3 2016, 1:02 AM

A few things to change:

Under the graph, add two totals: Number of pages checked, and Number of links fixed.

Link the page title, and link the revision ID to the diff.

There will be longer page titles -- anything that we can do to give that column more space would be helpful, so the title doesn't have to wrap as much.

Do we actually need the "links not fixed" at all? I don't know what people would do with that information. That gives back a little horizontal space, and you could replace the legend with the totals. :)

Do we actually need the "links not fixed" at all? I don't know what people would do with that information. That gives back a little horizontal space, and you could replace the legend with the totals. :)

I think keeping that information might be helpful to see how many links does the bot skip fixing per day/week. Currently these links are logged to https://en.wikipedia.org/wiki/User:Cyberbot_II/Links_that_won%27t_archive by Cyberbot - you can see that's a pretty huge page. Since this interface is going to be primarily used by IA developers or us, having as much information as possible would be a good idea, I think.

Take a look at: http://tools.wmflabs.org/deadlinks/ now. I fixed the other two things.

DannyH added a comment.Mar 3 2016, 5:14 PM

Okay, I didn't realize Cyberbot was logging the non-fixed links. That makes sense.

For the totals, I'd suggest "Total links fixed" and "Total pages processed". Right now, you've got both saying "pages" :)

For the revision links, we should link to the diff rather than the revision. For example:
https://en.wikipedia.org/wiki/John_Oliver_(comedian)?diff=prev&oldid=708009152
...rather than...
https://en.wikipedia.org/wiki/John_Oliver_(comedian)?oldid=708009152
That way, they can easily see what was changed.

See comments at T126363.

Let's limit the table to 100 entries, and add a note when the table is truncated. For example, at the bottom it could say: "Table truncated to 100 most recent entries." Alternately, you could add a header at the top of the table that says something like "Most recent entries (limited to 100)".

Let's limit the table to 100 entries, and add a note when the table is truncated. For example, at the bottom it could say: "Table truncated to 100 most recent entries." Alternately, you could add a header at the top of the table that says something like "Most recent entries (limited to 100)".

The reasoning behind this is to improve speed?

Done.

The reasoning behind this is to improve speed?

Actually, it's just because I don't want to load 10,000 log entries on my slow internet connection :) If people tell us that the log is really important, maybe we can add pagination later.

DannyH moved this task from Backlog to Archive on the Community-Tech board.Mar 14 2016, 11:14 PM